Package com.tietoenator.trip.jxp.session

# Class TdbWebSession

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSession
com.tietoenator.trip.jxp.session.TdbWebSession

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbWebSession extends TdbSession
Constructs and provides access to a session via XML/HTTP to the TRIP web service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbWebSession(String server, int port)`
  Constructor
  `TdbWebSession(String server, int port, String inifile, int timeout)`
  Constructor, allows specification of optional server attributes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getServerName()`
  The name of the server that the session is connected to.

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSession

  `authenticate, dateforms, enableLogging, enableNotification, enableNotification, fieldTypes, getActivityLog, getApiKeyMode, getBackgroundTaskSink, getBuildNumber, getCharacterSet, getCharacterSetName, getControlCache, getCurrentDateform, getDateform, getDefaultQueueName, getDefinedViews, getFieldType, getFieldType, getJobResultSink, getNotificationSink, getPid, getRevisionNumber, getServerApiLog, getServerXpiLog, getSessionId, getSessionType, getSubsystemID, getSubsystemName, getUsername, getVersion, hasLogCheckpoint, isApiLogEnabled, isConnected, isFileManager, isLicensedFor, isLoggedIn, isSystemManager, isTicketsEnabled, isTokensEnabled, isUserManager, isWorking, isXpiLogEnabled, licensedProducts, login, login, logout, logout, pollJobResults, refreshAccessToken, requestAccessToken, requestLoginTicket, revokeLoginTicket, revokeToken, revokeTokens, setActivityLog, setBackgroundTaskSink, setJobResultSink, setLogCheckpoint, setNotificationSink, subsystemNames, supportsFeature, validate, writeActivityLog`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbWebSession

    public TdbWebSession(String server, int port) throws TdbException
    Constructor
    Parameters:
      `server` - The name or IP address of the server to connect to
      `port` - The port number on which the web service is running
    Throws:
      `TdbException`

  - ### TdbWebSession

    public TdbWebSession(String server, int port, String inifile, int timeout) throws TdbException
    Constructor, allows specification of optional server attributes
    Parameters:
      `server` - The name or IP address of the server to which to connect
      `port` - The port number of which the web service is running
      `inifile` - Optional host initialization file to be run by TRIPnet when the web service connects to a TRIP server (null if not set).
      `timeout` - Optional read timeout to apply to TRIPnet connections constructed by the web service on behalf of the calling user (0 if not set).
    Throws:
      `TdbException`

- ## Method Details

  - ### getServerName

    public String getServerName()
    The name of the server that the session is connected to. Since this session type connects to a web service running on the same machine as the TRIP server, the name or IP address returned by this method identifies both the web service host and the TRIP host.
    Overrides:
      `getServerName` in class `TdbSession`